Zope2 creates sockets in etc/

Reported by Derek Richardson on 2007-12-12
2
Affects Status Importance Assigned to Milestone
ZODB
Low
Unassigned
zope.mkzeoinstance
Low
Tres Seaver

Bug Description

Default location should be var/ . etc/ is not for runtime, but for config files. I know it can be modified via a config file, but the best-practice location should be the default.

Andreas Jung (ajung) wrote :

You mean sockets created by the FCGI or PCGI implementation?

Changed in zope2:
importance: Undecided → Low
Tres Seaver (tseaver) wrote :

I think OP meant the socket used by 'zopectl' to communicate with the
child process. At least on Zope 2.10. those files are in
$INSTANCE_HOME/var, along with the PID file::

  $ ~/projects/Zope-CVS/Zope-2.10-branch/bin/mkzopeinstance.py \
    -d /tmp/lp_175981 -u admin:123
  $ /tmp/lp_175981/bin/zopectl start
  . daemon process started, pid=7672
  $ ls -l /tmp/lp_175981/{etc,var}
  /tmp/lp_175981/etc:
  total 40
  drwxr-xr-x 2 tseaver tseaver 4096 2008-03-08 11:36 package-includes
  -rw-r--r-- 1 tseaver tseaver 739 2008-03-08 11:36 site.zcml
  -rw-r--r-- 1 tseaver tseaver 31755 2008-03-08 11:36 zope.conf

  /tmp/lp_175981/var:
  total 12
  -rw-r--r-- 1 tseaver tseaver 299 2008-03-08 11:36 README.txt
  -rw-r--r-- 1 tseaver tseaver 4 2008-03-08 11:36 Z2.lock
  -rw-r--r-- 1 tseaver tseaver 4 2008-03-08 11:36 Z2.pid
  srwx------ 1 tseaver tseaver 0 2008-03-08 11:36 zopectlsock

ZEO, however, puts its control socket in $INSTANCE_HOME/etc::

  $ /tmp/lp_175981/bin/zopectl stop
  . daemon process stopped
  $ ./projects/Zope-CVS/Zope-2.10-branch/bin/mkzeoinstance.py \
    /tmp/lp_175981 9999
  Wrote file /tmp/lp_175981/etc/zeo.conf
  Wrote file /tmp/lp_175981/bin/zeoctl
  Changed mode for /tmp/lp_175981/bin/zeoctl to 755
  Wrote file /tmp/lp_175981/bin/runzeo
  Changed mode for /tmp/lp_175981/bin/runzeo to 755
  $ /tmp/lp_175981/bin/zeoctl start
  . daemon process started, pid=7719
  $ ls -l /tmp/lp_175981/{etc,var}
  /tmp/lp_175981/etc:
  total 44
  drwxr-xr-x 2 tseaver tseaver 4096 2008-03-08 11:36 package-includes
  -rw-r--r-- 1 tseaver tseaver 739 2008-03-08 11:36 site.zcml
  -rw-r--r-- 1 tseaver tseaver 911 2008-03-08 11:39 zeo.conf
  srwx------ 1 tseaver tseaver 0 2008-03-08 11:40 zeo.zdsock
  -rw-r--r-- 1 tseaver tseaver 31755 2008-03-08 11:36 zope.conf

  /tmp/lp_175981/var:
  total 1296
  -rw-r--r-- 1 tseaver tseaver 1277376 2008-03-08 11:37 Data.fs
  -rw-r--r-- 1 tseaver tseaver 29587 2008-03-08 11:40 Data.fs.index
  -rw-r--r-- 1 tseaver tseaver 5 2008-03-08 11:40 Data.fs.lock
  -rw-r--r-- 1 tseaver tseaver 0 2008-03-08 11:40 Data.fs.tmp
  -rw-r--r-- 1 tseaver tseaver 299 2008-03-08 11:36 README.txt
  -rw-r--r-- 1 tseaver tseaver 5 2008-03-08 11:40 ZEO.pid

Which I would agree is a bug (but in ZODB3 / ZEO, not Zope).

Tres Seaver (tseaver) on 2010-04-15
affects: zope2 → zodb
Changed in zodb:
status: New → Confirmed
Jim Fulton (jim-zope) wrote :

This should move to the mkzeoinstance project when it's created.

Changed in zodb:
status: Confirmed → Won't Fix
Tres Seaver (tseaver) on 2010-04-22
Changed in zope.mkzeoinstance:
status: New → Confirmed
importance: Undecided → Low
Tres Seaver (tseaver) wrote :
Changed in zope.mkzeoinstance:
status: Confirmed → Fix Committed
assignee: nobody → Tres Seaver (tseaver)
Tres Seaver (tseaver) on 2011-10-31
Changed in zope.mkzeoinstance:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers